<?php
public function getList($dept = 0, $mode = 'normal', $accountList = '', $search = '', $orderBy = 'id', $pager = null)
{
    return $this->loadExtension('bizext')->getList($dept, $mode, $accountList, $search, $orderBy, $pager);
}

public function getPairs($params = '', $dept = 0, $pager = null)
{
    return $this->loadExtension('bizext')->getPairs($params, $dept, $pager);
}

public function authorize($user)
{
    return $this->loadExtension('bizext')->authorize($user);
}

public function identify($account, $password)
{
    $user = $this->loadExtension('bizext')->identify($account, $password);

    if(!$user) return $user;

    if((!$user->token || $user->tokenExpired < helper::today())) $user = $this->updateToken($user);
    return $user;
}

public function getLDAPUser()
{
    return $this->loadExtension('bizext')->getLDAPUser();
}

public function importLDAP($userLeft)
{
    return $this->loadExtension('bizext')->importLDAP($userLeft);
}
public function getByAccount($account)
{
    return $this->loadExtension('bizext')->getByAccount($account);
}

public function getByOpenID($openID, $provider)
{
    return $this->loadExtension('bizext')->getByOpenID($openID, $provider);
}

public function getOpenIDPairs($provider, $account = '')
{
    return $this->loadExtension('bizext')->getOpenIDPairs($provider, $account);
}

public function checkReviewers($account = '')
{
    return $this->loadExtension('bizext')->checkReviewers($account);
}

public function create()
{
    return $this->loadExtension('bizext')->create();
}

public function batchCreate($userLeft)
{
    return $this->loadExtension('bizext')->batchCreate($userLeft);
}

public function update($account, $from)
{
    return $this->loadExtension('bizext')->update($account, $from);
}

public function forbid($account)
{
    return $this->loadExtension('bizext')->forbid($account);
}

public function active($account)
{
    return $this->loadExtension('bizext')->active($account);
}

public function delete($account, $id = null) 
{
    return $this->loadExtension('bizext')->delete($account, $id);
}

public function createLoginToken($account, $join, $token)
{
    return $this->loadExtension('bizext')->createLoginToken($account, $join, $token);
}

public function loginByToken($token) 
{
    return $this->loadExtension('bizext')->loginByToken($token);
}

public function updateToken($user)
{
    return $this->loadExtension('bizext')->updateToken($user);
}

public function getDataInJSON($user)
{
    return $this->loadExtension('bizext')->getDataInJSON($user);
}

public function createQRCode()
{
    return $this->loadExtension('bizext')->createQRCode();
}
